<template>
  <div>
    <b-button
      v-b-tooltip.hover.v-primary
      :disabled="disabled"
      :href="href"
      :size="size"
      :title="tooltipText"
      variant="outline"
      @click="$emit('click')"
    >
      <font-awesome-icon
        :icon="icon"
        :size="size"
        :style="{ color: color }"
      />
    </b-button>
  </div>
</template>

<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  props: {
    color: {
      default: 'black',
      type: String,
    },
    disabled: {
      default: false,
      type: Boolean,
    },
    href: {
      default: '',
      required: false,
      type: String,
    },
    icon: {
      required: true,
      type: String,
    },
    size: {
      default: 'md',
      type: String,
    },
    tooltipText: {
      default: '',
      required: false,
      type: String,
    },
  },
});
</script>
